<?xml version="1.0" encoding="utf-8"?>


<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Training"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/layoutTraining"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="40dp"
                    android:gravity="center"
                    android:text="Classroom Training"
                    android:textAllCaps="true"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <ImageView
                    android:id="@+id/imgDown"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginStart="20dp"
                    android:src="@mipmap/down_arrow_3"
                    android:tint="@color/grey" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/layoutTrainingDetails"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="20dp"
                android:gravity="top"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="20dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="end"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Training Name"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtTrainingName"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Silver"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Trainer Name"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtTrainerName"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="TREAST"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Business Segment"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtBusinessSegment"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Motorcycle"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Total Participants"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtTotalParticipant"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="7"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="start|center"
                            android:text="Training Submission Days"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtSubmissionDays"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="2 days"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Training Start Date"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtTrainingStartDate"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="10-12-2000"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="Training End Date"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=":"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/txtTrainingEndDate"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="4dp"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:gravity="center|start"
                            android:text="12-10-2000"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layoutDate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="5dp"
                        android:orientation="vertical">


                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llout_remaining"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:visibility="visible">


                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="2dp"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="start"
                                android:layout_weight="1"
                                android:gravity="start|center"
                                android:text="Venue Location"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=":"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp" />

                            <TextView
                                android:id="@+id/txtTrainingVenue"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="4dp"
                                android:layout_weight="1"
                                android:gravity="center|start"
                                android:text="Chennai"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_margin="2dp"
                            android:orientation="horizontal"
                            android:visibility="gone">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="start"
                                android:layout_weight="1"
                                android:gravity="start|center"
                                android:text="Total Participants"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=":"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp" />

                            <TextView
                                android:id="@+id/txtTrainingTotalPArticipant"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="4dp"
                                android:layout_weight="1"
                                android:gravity="center|start"
                                android:text="2"
                                android:textColor="@color/material_bluegrey800"
                                android:textSize="14sp" />
                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="10dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center|start"
                    android:text="Training UID : "
                    android:textColor="@color/btn_bg_color"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/txtTrainingUID"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="4dp"
                    android:gravity="center|start"
                    android:text="BRN-JC-030720-050720"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="18sp"
                    android:textStyle="bold" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:background="@drawable/border_navi"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:text="Training Details"
                    android:textAllCaps="true"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <com.tylersuehr.esr.EmptyStateRecyclerView
                android:id="@+id/participantList"

                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <TextView
                android:id="@+id/txtNoDataFound"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:visibility="gone"
                android:textColor="@color/material_bluegrey800"
                android:textStyle="bold"
                android:text="No Data Found"/>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>
</LinearLayout>